Last Comment Bug 556668 - SeaMonkey 2.x should run |make check| on Linux64 optimized build, like Firefox; (SM 2.1 fails due to "libstdc++.so.6: version 'GLIBCXX_3.4.9' not found")
: SeaMonkey 2.x should run |make check| on Linux64 optimized build, like Firefo...
Status: VERIFIED FIXED
[WontFix for SM 2.0]
:
Product: SeaMonkey
Classification: Client Software
Component: Release Engineering (show other bugs)
: Trunk
: x86_64 Linux
: -- enhancement (vote)
: seamonkey2.1b2
Assigned To: Robert Kaiser
:
Mentors:
Depends on: 554854 560894 563491
Blocks: 505798
  Show dependency treegraph
 
Reported: 2010-04-01 18:43 PDT by Serge Gautherie (:sgautherie)
Modified: 2010-12-10 10:24 PST (History)
4 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Serge Gautherie (:sgautherie) 2010-04-01 18:43:11 PDT
It was briefly enabled on SM 2.1 but the js-tests part was failing...
We should solve that.

It should be tried on SM 2.0 too, like Firefox 3.5.
Comment 1 Robert Kaiser 2010-04-03 11:54:49 PDT
CANTFIX as it fails.
Comment 2 Serge Gautherie (:sgautherie) 2010-04-03 12:06:15 PDT
This bug is to investigate that...

It seemed to be a build environment issue.
Could you copy the error here?
Comment 3 Robert Kaiser 2010-04-03 15:33:10 PDT
gmake[3]: Entering directory `/builds/slave/comm-central-trunk-linux64/build/objdir/mozilla/js/src/jsapi-tests'
../../../dist/bin/run-mozilla.sh ../../../dist/bin/jsapi-tests
../../../dist/bin/jsapi-tests: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by ../../../dist/bin/jsapi-tests)
NEXT ERROR gmake[3]: *** [check] Error 1
gmake[3]: Leaving directory `/builds/slave/comm-central-trunk-linux64/build/objdir/mozilla/js/src/jsapi-tests'
gmake[2]: *** [check] Error 2

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1270053004.1270054567.16602.gz
Comment 4 Serge Gautherie (:sgautherie) 2010-04-03 16:11:38 PDT
First link I found:
http://www.linuxquestions.org/questions/linux-newbie-8/usr-lib-libstdc-so-6-version-%60glibcxx_3-4-9-not-found-required-example1-604625/
This would seem to confirm that maybe our Linux64 box(es) libstdc++.so.6 is not up-to-date.
Could that be possible?

And in case that applies:
https://wiki.mozilla.org/ReferencePlatforms/Linux-CentOS-5.0_64-bit
Comment 5 Serge Gautherie (:sgautherie) 2010-04-03 16:18:23 PDT
And fwiw: bug 526868 and bug 554854.
Comment 6 Robert Kaiser 2010-04-05 07:49:04 PDT
(In reply to comment #4)
> First link I found:
> http://www.linuxquestions.org/questions/linux-newbie-8/usr-lib-libstdc-so-6-version-%60glibcxx_3-4-9-not-found-required-example1-604625/
> This would seem to confirm that maybe our Linux64 box(es) libstdc++.so.6 is not
> up-to-date.
> Could that be possible?

Everthing's possible, but I've set that box up following the refplatform docs.

> And in case that applies:
> https://wiki.mozilla.org/ReferencePlatforms/Linux-CentOS-5.0_64-bit

That's exactly what I was following when I set this up - has there recently been some change that updates LD_LIBRARY_PATH or so?

(In reply to comment #5)
> And fwiw: bug 526868 and bug 554854.

Those don't change anything wrt to build machines (yet).
Comment 7 Serge Gautherie (:sgautherie) 2010-04-05 17:33:59 PDT
(In reply to comment #0)

> It was briefly enabled on SM 2.1 but the js-tests part was failing...

Jason, jsapi-tests pass with FF 3.7:
could it be a "static vs libxul" related issue?

> It should be tried on SM 2.0 too, like Firefox 3.5.

Robert, SM 2.0 "should" pass, as jsapi-tests don't exist there...
Comment 8 Robert Kaiser 2010-04-05 17:54:15 PDT
(In reply to comment #7)
> Robert, SM 2.0 "should" pass, as jsapi-tests don't exist there...

I won't change anything on what we execute on the SeaMonkey 2.0 tree, we're going with completely different test execution, etc. there, and it's a stable tree, it's only for maintenance and not for trying "new" stuff.
Comment 9 Jason Orendorff [:jorendorff] 2010-04-06 05:16:13 PDT
(In reply to comment #7)
> > It was briefly enabled on SM 2.1 but the js-tests part was failing...
> 
> Jason, jsapi-tests pass with FF 3.7:
> could it be a "static vs libxul" related issue?

I doubt it. jsapi-tests doesn't link against libxul. At least, I don't think it does -- the build system isn't my strong suit.

According to js/src/jsapi-tests/Makefile.in, it links against NSPR and libjs_static.a.

jsapi-tests uses std::string. I don't think we have any other code using it. Most likely this bug is a combination of that and something weird in the build environment. If you'd like to fix it by changing the code to stop using std::string, I have no objection. It looks like its use is limited to js/src/jsapi-tests/tests.{h,cpp}. Also note that you could #include "jsvector.h" and use js::Vector<char> as a substitute.
Comment 10 Serge Gautherie (:sgautherie) 2010-04-06 08:01:31 PDT
CC'ed Benjamin to get help, per
https://developer.mozilla.org/en/Supported_build_configurations
"Tier-2 platforms
Linux/x86-64 — maintained by Benjamin Smedberg"
Comment 11 Daniel Holbert [:dholbert] 2010-04-20 16:23:01 PDT
Tinderbox just sporadically hit this same issue (matching the error text in comment 3) for a mozilla-central build.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271791419.1271796208.27060.gz
Linux x86-64 mozilla-central build on 2010/04/20 12:23:39
s: moz2-linux64-slave05
Comment 12 Serge Gautherie (:sgautherie) 2010-04-20 17:41:43 PDT
(In reply to comment #11)
> Tinderbox just sporadically hit this same issue (matching the error text in
> comment 3) for a mozilla-central build.

That's "good" to know, but you should file a (blocking) bug, as this one is about SeaMonkey |make check|.
Comment 13 Robert Kaiser 2010-04-21 05:31:26 PDT
Actually, this bug is about turning |make check| on for SeaMonkey at all for Linux64, the failures should get their own bug though, no matter for what app :)
Comment 14 Daniel Holbert [:dholbert] 2010-04-21 10:33:54 PDT
Ah, my apologies for the mis-post. :) It initially looked like this bug was sort of on both issues (i.e. fixing the library issue first, so that |make check| *can* be turned on for Seamonkey).

Anyway, I filed Bug 560894 on the failures.
Comment 15 Robert Kaiser 2010-05-20 08:49:47 PDT
Right now, even investigation of |make check| doesn't make sense due to bug 563643 :(
Comment 16 Robert Kaiser 2010-12-10 07:42:56 PST
Tried again for trunk only with http://hg.mozilla.org/build/buildbot-configs/rev/72d8f2ab16d2
Comment 17 Serge Gautherie (:sgautherie) 2010-12-10 10:08:39 PST
V.Fixed, per
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1291996082.1291997845.32699.gz
Linux x86-64 comm-central-trunk build on 2010/12/10 07:48:02
{
check: 1098/0
}

Note You need to log in before you can comment on or make changes to this bug.